##
##  apache-sendmail.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         apache-sendmail
Summary:      Apache Extension: HTTP to SMTP Gateway
URL:          http://mailservice.sourceforge.net/
Vendor:       Andrew Rogers
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      Apache
Version:      1.1.0
Release:      20140507

#   list of sources
Source0:      http://download.sourceforge.net/mailservice/mod_sendmail-%{version}.tar.gz
Source1:      apache-sendmail.conf

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  apache, apr
PreReq:       apache, apr

%description
    This module is an Apache httpd module that gates an incoming HTTP
    request to the sendmail application, allowing email to be gated
    from a restful HTTP endpoint to SMTP. The sendmail application is
    expected to queue themessage for delivery. The module is designed to
    remove the need for machines needing to sendemail having to have an
    MTA installed on that machine. The module allows relay protection
    to be provided using the standard Apache httpd authentication
    mechanisms, including password based authentication anddigital
    certificates.

%track
    prog apache-sendmail = {
        version   = %{version}
        url       = http://sourceforge.net/projects/mailservice/files/mod_sendmail/
        regex     = mod_sendmail-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n mod_sendmail-%{version}

%build
    #   build module
    %{l_prefix}/sbin/apxs -c mod_sendmail.c

%install
    #   install module
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache
    %{l_shtool} install -c -m 755 \
        .libs/mod_sendmail.so \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache/mod_sendmail.so
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE apache-sendmail.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/apache/apache.d/apache-sendmail.conf'

%files -f files

%clean

%post
    #   after upgrade, restart service
    [ $1 -eq 2 ] || exit 0
    eval `%{l_rc} apache status 2>/dev/null`
    [ ".$apache_active" = .yes ] && %{l_rc} apache restart
    exit 0

